/// roomId : 0
/// roles : ""
/// remark : ""

class SCRoomJoinBlackListRes {
  SCRoomJoinBlackListRes({
      String? roomId,
      String? roles,
      String? remark,}){
    _roomId = roomId;
    _roles = roles;
    _remark = remark;
}

  SCRoomJoinBlackListRes.fromJson(dynamic json) {
    _roomId = json['roomId'];
    _roles = json['roles'];
    _remark = json['remark'];
  }
  String? _roomId;
  String? _roles;
  String? _remark;
SCRoomJoinBlackListRes copyWith({  String? roomId,
  String? roles,
  String? remark,
}) => SCRoomJoinBlackListRes(  roomId: roomId ?? _roomId,
  roles: roles ?? _roles,
  remark: remark ?? _remark,
);
  String? get roomId => _roomId;
  String? get roles => _roles;
  String? get remark => _remark;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['roomId'] = _roomId;
    map['roles'] = _roles;
    map['remark'] = _remark;
    return map;
  }

}